# TdApi.Deserializer (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: Deserializer

Package it.tdlight.jni

# Class TdApi.Deserializer

java.lang.Object
it.tdlight.jni.TdApi.Deserializer

Enclosing class:
  TdApi

    public static class TdApi.Deserializer
    extends Object

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Deserializer()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static TdApi.Object` | `deserialize​(DataInput input)` |

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Deserializer

public Deserializer()

## Method Details

### deserialize

public static TdApi.Object deserialize​(DataInput input) throws IOException

Throws:
  `IOException`